echo off
echo Before running this simple proof pgm, a copy of our FICHECK and MFICHECK
echo programs must be on floppy (or microfloppy) disk drive A: (in root directory).
echo Also, to prevent possible viral contamination, FICHECK and MFICHECK are written
echo such that they won't run on anything but a system that booted DOS from FLOPPY
echo diskette. The PROVECRC.EXE program should be on the current drive and directory
echo ---------------------------------------------------------------
echo If you haven't booted DOS from floppy, and you don't have a copy of FICHECK
echo and MFICHECK on floppy drive A, press Ctrl-Break to stop this demonstration,
echo otherwise, strike any key to continue.
echo on
pause
provecrc %1 %2
echo off
if errorlevel 2 goto notaltered
if errorlevel 1 goto nogood
goto showit
:notaltered
echo File "%1" was unable to be altered and still maintain the same CRC.
echo Please try again with another file.
goto done
:showit
echo off
echo ****** Proof that CRC checking alone is inadequate ****** >proof
echo --------------------------------------------------------------- >>proof
echo    Prove that "%1" and "%2" show identical CRC's                >>proof
echo --------------------------------------------------------------- >>proof
echo on
a:\ficheck  /s=%1 >>proof
if errorlevel 1 goto nogood
a:\ficheck  /s=%2 >>proof
if errorlevel 1 goto nogood
echo off
echo --------------------------------------------------------------- >>proof
echo    Prove that "%1" and "%2" show different MCRC's               >>proof
echo --------------------------------------------------------------- >>proof
echo on
a:\mficheck /s=%1 >>proof
if errorlevel 1 goto nogood
a:\mficheck /s=%2 >>proof
if errorlevel 1 goto nogood
echo off
echo ************** Please view the file "proof" to see results ************
goto done
:nogood
echo Something went wrong - make sure you placed FICHECK.EXE and MFICHECK.EXE on
echo a DOS bootable diskette, and that you booted from that diskette. Also, make
echo sure you supplied an INFILE and OUTFILE name to start this proof process.
:done
